﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CalculatorTesting
{
    static public class Calculating
    {
        /// <summary>
        /// Вычисление суммы
        /// </summary>
        /// <param name="a">первое слагаемое</param>
        /// <param name="b">второе слагаемое</param>
        /// <returns></returns>
        static public double Sum(double a, double b)
        {
            return a + b;
        }
        /// <summary>
        /// Умножение
        /// </summary>
        /// <param name="a">Первый множитель</param>
        /// <param name="b">Второй множитель</param>
        /// <returns></returns>
        static public double Multiplication(double a, double b)
        {
            return a * b;
        }
        /// <summary>
        /// Вычисление результата деления
        /// </summary>
        /// <param name="a">Делимое</param>
        /// <param name="b">Делитель</param>
        /// <returns></returns>
        static public double Division(double a, double b)
        {
            return a / b;
        }
        /// <summary>
        /// Вычисление вычитания
        /// </summary>
        /// <param name="a">Уменьшаемое</param>
        /// <param name="b">Вычитаемое</param>
        /// <returns></returns>
        static public double Subtraction(double a, double b)
        {
            return a - b;
        }
        /// <summary>
        /// Поиск степени
        /// </summary>
        /// <param name="a">то, что возводят в степень</param>
        /// <param name="b">степень</param>
        /// <returns></returns>
        static public double Degree(double a, double b)
        {
            float res = 1;
            int count = 0;
            while (count < b)
            {
                res *= (float)a;
                count++;
            }
            return Math.Pow(a, b);
        }
        /// <summary>
        /// вычисление корня
        /// </summary>
        /// <param name="a">число, из которого находят корень</param>
        /// <returns></returns>
        static public double Root(double a)
        {
            return Math.Sqrt(a);
        }
        /// <summary>
        /// Поиск процента от числа
        /// </summary>
        /// <param name="a">процент</param>
        /// <param name="b">число</param>
        /// <returns></returns>
        static public double Percent(double a, double b)
        {

            return (b / 100) * a;
        }
        /// <summary>
        /// Нахождение логарифма
        /// </summary>
        /// <param name="a">число</param>
        /// <returns></returns>
        static public double Logarithm(double a)
        {

            return Math.Log10(a);
        }
        /// <summary>
        /// Нахождение синуса
        /// </summary>
        /// <param name="a">число</param>
        /// <returns></returns>
        static public double Sine(double a)
        {

            return Math.Sin(a);
        }
        /// <summary>
        /// Вычисление котангенса
        /// </summary>
        /// <param name="a">число</param>
        /// <returns></returns>
        static public double Cotangence(double a)
        {

            return 1 / Math.Tan(a); ;
        }
    }
}
