﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CalculatorTesting
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Выбор цифры
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnChoiceNumber_Click(object sender, RoutedEventArgs e)
        {
            Button b = (Button)sender;
            Tblock.Text += b.Content.ToString();
        }
        /// <summary>
        /// Активность для показания результата
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnResult_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                Result();
            }
            catch (Exception)
            {
                Tblock.Text = "Error!";
            }
        }
        /// <summary>
        /// метод для вычисления результата
        /// </summary>
        public void Result()
        {
            String op = Tblock.Text;
            int iOp = 0;
            try
            {
                if (Tblock.Text.Contains("+"))
                {
                    iOp = Tblock.Text.IndexOf("+");
                    op = Tblock.Text.Substring(iOp, 1);
                }
                else if (Tblock.Text.Contains("-"))
                {
                    iOp = Tblock.Text.IndexOf("-");
                    op = Tblock.Text.Substring(iOp, 1);
                }
                else if (Tblock.Text.Contains("*"))
                {
                    iOp = Tblock.Text.IndexOf("*");
                    op = Tblock.Text.Substring(iOp, 1);
                }
                else if (Tblock.Text.Contains("%"))
                {
                    iOp = Tblock.Text.IndexOf("%");
                    op = Tblock.Text.Substring(iOp, 1);
                }
                else if (Tblock.Text.Contains("^"))
                {
                    iOp = Tblock.Text.IndexOf("^");
                    op = Tblock.Text.Substring(iOp, 1);
                }
                else if (Tblock.Text.Contains("log"))
                {
                    iOp = Tblock.Text.IndexOf("l");
                    op = Tblock.Text.Substring(iOp, 3);
                }
                else if (Tblock.Text.Contains("/"))
                {
                    iOp = Tblock.Text.IndexOf("/");
                    op = Tblock.Text.Substring(iOp, 1);
                }
                else if (Tblock.Text.Contains("sin"))
                {
                    iOp = Tblock.Text.IndexOf("s");
                    op = Tblock.Text.Substring(iOp, 3);
                }
                else if (Tblock.Text.Contains("ctg"))
                {
                    iOp = Tblock.Text.IndexOf("c");
                    op = Tblock.Text.Substring(iOp, 3);
                }
                else if (Tblock.Text.Contains("root"))
                {
                    iOp = Tblock.Text.IndexOf("r");
                    op = Tblock.Text.Substring(iOp, 4);
                }
                else
                {

                }
            }
            catch (Exception)
            {

                throw;
            }
           
            double op1 = 0, op2 = 0;
            try
            {
                if (op == "log" || op == "sin" || op == "root" || op == "ctg")
                {
                    op1 = Convert.ToDouble(Tblock.Text.Substring(0, iOp));
                }
                else
                {
                    op1 = Convert.ToDouble(Tblock.Text.Substring(0, iOp));
                    op2 = Convert.ToDouble(Tblock.Text.Substring(iOp + 1, Tblock.Text.Length - iOp - 1));
                }
                if (op == "+")
                {
                    Tblock.Text += "=" + (Calculating.Sum(op1, op2));
                }
                else if (op == "-")
                {
                    Tblock.Text += "=" + (Calculating.Subtraction(op1, op2));
                }
                else if (op == "*")
                {
                    Tblock.Text += "=" + (Calculating.Multiplication(op1, op2));
                }
                else if (op == "/")
                {
                    Tblock.Text += "=" + (Calculating.Division(op1, op2));
                }
                else if (op == "^")
                {

                    Tblock.Text += "=" + (Calculating.Degree(op1, op2));
                }
                else if (op == "%")
                {
                    Tblock.Text += "=" + (Calculating.Percent(op1, op2));
                }
                else if (op == "log")
                {
                    Tblock.Text += "=" + (Calculating.Logarithm(op1));
                }
                else if (op == "root")
                {
                    Tblock.Text += "=" + (Calculating.Root(op1));
                }
                else if (op == "sin")
                {
                    Tblock.Text += "=" + (Calculating.Sine(op1));
                }
                else if (op == "ctg")
                {
                    Tblock.Text += "=" + (Calculating.Cotangence(op1));
                }
            }
            catch (Exception)
            {

                throw;
            }
           
        }
        /// <summary>
        /// Кнопка для удаления экрана
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnDelete_Click(object sender, RoutedEventArgs e)
        {
            Tblock.Text = "";
        }
    }
}
