# Калькулятор по МДК 01.02

Данный проект создан для выполнения заданий по МДК 01.02.
Данный проект используется для выполнения следующий заданий:
* Рефакторинг кода
* Создание файла README
* Лабораторная работа 1 "Классификация по доступу к коду и архитектуре приложения"
* Лабораторная работа 4 "Классификация по степени автоматизации"


# Начало работы

Для запуска данной программы необходимо скопировать проект из репозитория (можно скачать zip-архив), для запуска запустите файл с расширением .sln


# Установка

1. Откройте приложение
2. Введите пример
3. Нажмите кнопку Res

### Примеры использования программы
Пример 1: вычисление примера
* ![Пример использования программы №1](/image/пример1.png)

Пример 2: вычисление примера
* ![Пример использования программы №2](/image/пример 2.png)

## Листинг программы
### класс с основными вычислительными методами
    static public class Calculating
    {
        static public double sum(double a, double b)
        {
            return a + b;
        }
        static public double mult(double a, double b)
        {
            return a * b;
        }
        static public double div(double a, double b)
        {
            return a / b;
        }
        static public double substrac(double a, double b)//
        {
            return a - b;
        }
        static public double degree(double a, double b)//степень
        {
            float res = 1;
            int count = 0;
            while (count < b)
            {
                res *= (float)a;
                count++;
            }
            return Math.Pow(a, b);
        }
        static public double root(double a)//корень
        {
            return Math.Sqrt(a);
        }
        static public double percent(double a, double b)//процент от числа
        {

            return (b / 100) * a;
        }
        static public double log(double a)//логарифм
        {

            return Math.Log10(a);
        }
        static public double sin(double a)//логарифм
        {

            return Math.Sin(a);
        }
        static public double ctg(double a)//логарифм
        {

            return 1 / Math.Tan(a); ;
        }
    }

## Авторы

* Касаткина Елизавета - [KasatkinaE.I](http://gogs.ngknn.local:3000/KasatkinaE.I)

