﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using CalculatorTesting;
namespace Test
{

[TestClass]
public class UnitTest1
{
    //методы низкой сложности
    [TestMethod]
    public void TestMethodAreEqual_True()
    {
        Assert.AreEqual(2, Calculating.Multiplication(1, 2));
    }

    [TestMethod]
    public void TestMethodAreEqual_True1()
    {
        Assert.AreEqual(2, Calculating.Subtraction(5,3));
    }

    [TestMethod]
    public void TestMethodAreNotEqual_False()
    {
        Assert.AreNotEqual(2, Calculating.Sum(1, 3));
    }

    [TestMethod]
    public void TestMethodIsFalse_False()
    {
        Assert.IsTrue(4==Calculating.Degree(2, 2));
    }

    [TestMethod]
    public void TestMethodIsTrue_True2()
    {
        Assert.IsTrue(10==Calculating.Percent(10, 100));
    }

    [TestMethod]
    public void TestMethodIsNotNull_True()
    {
        Assert.IsNotNull(Calculating.Cotangence(1));
    }

    [TestMethod]
    public void TestMethodIsNotNull_True1()
    {
        Assert.IsNotNull(Calculating.Root(4));
    }

    [TestMethod]
    public void TestMethodIsNull_False()
    {
        Assert.IsNotNull(Calculating.Sine(3));
    }

    [TestMethod]
    public void TestMethodIsTypeInt_False()
    {
        double r = Calculating.Logarithm(3);
        Assert.IsNotInstanceOfType(r, typeof(int));
    }

    [TestMethod]
    public void TestMethodIsTypeDouble_True()
    {
        double r = Calculating.Division(4,3);
        Assert.IsInstanceOfType(r, typeof(double));
    }

    //методы высокой сложности
    [TestMethod]
    public void TestMethodThrowExceptionNull()
    {
        Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => Calculating.Sum(Convert.ToDouble(null), 3)));
    }

    [TestMethod]
    public void TestMethodThrowExceptionNull2()
    {
        Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => Calculating.Division(3, 0)));
    }

    [TestMethod]
    public void TestMethodThrowExceptionNull1()
    {
        Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => Calculating.Multiplication(Convert.ToDouble(null), Convert.ToDouble(null))));
    }

    [TestMethod]
    public void TestMethodThrowExceptionBigData()
    {
        Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => Calculating.Root(12345678976456788)));
    }

    [TestMethod]
    public void TestMethodThrowExceptionBigData1()
    {
        Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => Calculating.Percent(1234567897645678, 12345678765323456798)));
    }
}
}
